"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = async function PgNodeAliasPostGraphile(builder) {
  builder.hook("GraphQLObjectType", (object, build, context) => {
    const {
      setNodeAlias,
      inflection: { pluralize }
    } = build;
    const {
      scope: { isPgRowType, isPgCompoundType, pgIntrospection: table }
    } = context;
    if (isPgRowType || isPgCompoundType) {
      setNodeAlias(object.name, pluralize(table.name));
    }
    return object;
  });
};
//# sourceMappingURL=PgNodeAliasPostGraphile.js.map